---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libthrcputime002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x2808, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x539B8, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x558F8, symBinAddr: 0xE148, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x55CE0, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x56C80, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x56C88, symBinAddr: 0xF4D8, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x53620, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x53624, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x53628, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x53778, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x53830, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x53834, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x53838, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x5383C, symBinAddr: 0xC184, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x53840, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x53848, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x53858, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x53860, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x53868, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x53870, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x53878, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x53880, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL7monitor, symObjAddr: 0x538C8, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL15testAgentThread, symObjAddr: 0x538D0, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94CB, offset: 0x94CB, size: 0x8, addend: 0x0, symName: __ZL19prevAgentThreadTime, symObjAddr: 0x538D8, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x94F6, offset: 0x94F6, size: 0x8, addend: 0x0, symName: __ZL12testedThread, symObjAddr: 0x538E0, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x950F, offset: 0x950F, size: 0x8, addend: 0x0, symName: __ZL20prevTestedThreadTime, symObjAddr: 0x538E8, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x9528, offset: 0x9528, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x538F0, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x9541, offset: 0x9541, size: 0x8, addend: 0x0, symName: __ZL10iterations, symObjAddr: 0x538F8, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x9593, offset: 0x9593, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x16F0, symSize: 0xA0 }
  - { offsetInCU: 0x9628, offset: 0x9628, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x16C8, symSize: 0x28 }
  - { offsetInCU: 0x968B, offset: 0x968B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x1648, symSize: 0x80 }
  - { offsetInCU: 0x991F, offset: 0x991F, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x1790, symSize: 0x34 }
  - { offsetInCU: 0x9979, offset: 0x9979, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x17C4, symSize: 0x20C }
  - { offsetInCU: 0x9B32, offset: 0x9B32, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x19D0, symSize: 0x28 }
  - { offsetInCU: 0x9BFB, offset: 0x9BFB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x19F8, symSize: 0xB0 }
  - { offsetInCU: 0x9CF2, offset: 0x9CF2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x1AA8, symSize: 0xD8 }
  - { offsetInCU: 0x9E91, offset: 0x9E91, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x1B80, symSize: 0x24 }
  - { offsetInCU: 0x9F80, offset: 0x9F80, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x1BA4, symSize: 0x168 }
  - { offsetInCU: 0xA15C, offset: 0xA15C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x1D0C, symSize: 0x104 }
  - { offsetInCU: 0xA40D, offset: 0xA40D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x1E10, symSize: 0x3F8 }
  - { offsetInCU: 0xA657, offset: 0xA657, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2144, symBinAddr: 0x2208, symSize: 0xDC }
  - { offsetInCU: 0xA6F5, offset: 0xA6F5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x22E4, symSize: 0x154 }
  - { offsetInCU: 0xA8D9, offset: 0xA8D9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x2438, symSize: 0xAC }
  - { offsetInCU: 0xA9AE, offset: 0xA9AE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x24E4, symSize: 0x14 }
  - { offsetInCU: 0xA9E7, offset: 0xA9E7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x24F8, symSize: 0x14 }
  - { offsetInCU: 0xAA20, offset: 0xAA20, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x250C, symSize: 0x14 }
  - { offsetInCU: 0xAB9D, offset: 0xAB9D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x2520, symSize: 0x1A8 }
  - { offsetInCU: 0xAEA7, offset: 0xAEA7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x26C8, symSize: 0x140 }
  - { offsetInCU: 0xB048, offset: 0xB048, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x2A78, symSize: 0x1C0 }
  - { offsetInCU: 0xB325, offset: 0xB325, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x2C38, symSize: 0x9C }
  - { offsetInCU: 0xB3E2, offset: 0xB3E2, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x2CD4, symSize: 0x690 }
  - { offsetInCU: 0xBF74, offset: 0xBF74, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAD48, symBinAddr: 0x5AE8, symSize: 0x30 }
  - { offsetInCU: 0xC000, offset: 0xC000, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x3364, symSize: 0x74 }
  - { offsetInCU: 0xC0B0, offset: 0xC0B0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x33D8, symSize: 0xB0 }
  - { offsetInCU: 0xC1BB, offset: 0xC1BB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x3488, symSize: 0x3C }
  - { offsetInCU: 0xC2B1, offset: 0xC2B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x34C4, symSize: 0x29C }
  - { offsetInCU: 0xC5F4, offset: 0xC5F4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x3760, symSize: 0xD0 }
  - { offsetInCU: 0xC722, offset: 0xC722, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x3830, symSize: 0xC }
  - { offsetInCU: 0xC7E4, offset: 0xC7E4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x383C, symSize: 0x22C }
  - { offsetInCU: 0xCA9F, offset: 0xCA9F, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x3A68, symSize: 0x4 }
  - { offsetInCU: 0xCAE3, offset: 0xCAE3, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x3A68, symSize: 0x4 }
  - { offsetInCU: 0xCAFC, offset: 0xCAFC, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x3A6C, symSize: 0x4D8 }
  - { offsetInCU: 0xD16D, offset: 0xD16D, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x91A4, symBinAddr: 0x3F44, symSize: 0x4 }
  - { offsetInCU: 0xD1B1, offset: 0xD1B1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x91A4, symBinAddr: 0x3F44, symSize: 0x4 }
  - { offsetInCU: 0xD31C, offset: 0xD31C, size: 0x8, addend: 0x0, symName: _callbackVMInit, symObjAddr: 0x91A8, symBinAddr: 0x3F48, symSize: 0x158 }
  - { offsetInCU: 0xD5DB, offset: 0xD5DB, size: 0x8, addend: 0x0, symName: __ZL12checkCpuTimeP9_jvmtiEnvP8_jobjectPyS3_PKc, symObjAddr: 0x9300, symBinAddr: 0x40A0, symSize: 0xA98 }
  - { offsetInCU: 0xD9C3, offset: 0xD9C3, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x9D98, symBinAddr: 0x4B38, symSize: 0x90 }
  - { offsetInCU: 0xDB22, offset: 0xDB22, size: 0x8, addend: 0x0, symName: _callbackVMDeath, symObjAddr: 0x9E28, symBinAddr: 0x4BC8, symSize: 0x280 }
  - { offsetInCU: 0xDEF4, offset: 0xDEF4, size: 0x8, addend: 0x0, symName: _callbackThreadStart, symObjAddr: 0xA0A8, symBinAddr: 0x4E48, symSize: 0x2E8 }
  - { offsetInCU: 0xE330, offset: 0xE330, size: 0x8, addend: 0x0, symName: _callbackThreadEnd, symObjAddr: 0xA390, symBinAddr: 0x5130, symSize: 0x2E4 }
  - { offsetInCU: 0xE79E, offset: 0xE79E, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA674, symBinAddr: 0x5414, symSize: 0x6D4 }
  - { offsetInCU: 0xF337, offset: 0xF337, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAD78, symBinAddr: 0x5B18, symSize: 0x358 }
...
